Album: Redditstuck Vol. 2
Directory Suffix: redditstuck
Date: January 14, 2017
Date Added: June 12, 2024
URLs:
- https://redditstuckmusic.bandcamp.com/album/redditstuck-vol-2
Cover Artists:
- Bin
Cover Art File Extension: png
Track Art File Extension: png
Color: '#cecece'
Groups:
- Redditstuck
- Fandom
Commentary: |-
    @@ [Bandcamp about blurb](https://redditstuckmusic.bandcamp.com/album/redditstuck-vol-2)

    The company is still following our every move, demanding cash tributes of inordinate sums. Keep rejecting their demands and maybe one day we'll actually be able to sell one of these for a reasonable price.

    Download the full album here instead:<br>
    ([dead MEGA link](https://mega.nz/file/zhtBjIpY#rWxNN1X8j4gqiMjVZGG48q0EjOBCgW8sBg1cIh5GMXA))

    Wondering about the source material? Click here:<br>
    [mspfanventures.com?s=9041](https://mspfa.com/?s=9041&p=1)

    @@ [Bandcamp credits blurb](https://redditstuckmusic.bandcamp.com/album/redditstuck-vol-1), excerpt

    Our wonderful performers:<br>
    [[artist:jj-pollution]]<br>
    [[artist:emelia-k]]<br>
    [[artist:nice-wizard]]<br>
    [[artist:pi-rho-man]]<br>
    [[artist:gordian]]<br>
    [[artist:kal-la-kal-la]]<br>
    [[artist:zylar]]

    Cover art created by:<br>
    [[artist:david-burt]]<br>
    [[artist:brother-grapefruit]]<br>
    [[artist:nanners]]<br>
    [[artist:averynicepizza]]<br>
    [[artist:adventureflame]]<br>
    [[artist:pierre-mortel]]<br>
    [[artist:illusionworks]]<br>
    [[artist:gordian]]<br>
    [[artist:bin]]

    Mastered by [[artist:adventureflame]].

    And an additional thanks to everyone who has supported us so far! This is our labor of love to all of you.

    We hope you enjoy it.

    <i>Quasar Nebula:</i> (wiki editor, 6/10/2024)

    Currently available for download [at File Garden](https://filegarden.com/users/644418ca5425ed42805dc8fc/garden/#ZmYtGp5QlkbVUny_).
---
Track: Prelude For A Leading Lady
Artists:
- JJ Pollution
Duration: 2:24
URLs:
- https://redditstuckmusic.bandcamp.com/track/prelude-for-a-leading-lady
Cover Artists:
- Brother Grapefruit
---
Track: Land of Glaciers and Magma
Additional Names:
- Name: >-
    [feat. NiceWizard] Land Of Glaciers And Magma
  Annotation: >-
    [SoundCloud](https://soundcloud.com/emelia-kaylee/feat-nicewizard-land-of-glaciers-and-magma)
Artists:
- Emelia K.
- Nice Wizard (drums)
Contributors:
- Nice Wizard (mastering)
# Nice Wizard credits via SoundCloud
Duration: 2:51
URLs:
- https://redditstuckmusic.bandcamp.com/track/land-of-glaciers-and-magma
- https://soundcloud.com/emelia-kaylee/feat-nicewizard-land-of-glaciers-and-magma
Cover Artists:
- David Burt
Art Tags:
- LoGaM (Redditstuck)
---
Track: Inflection
Suffix Directory: true
Always Reference By Directory: true
Artists:
- JJ Pollution
Duration: 3:08
URLs:
- https://redditstuckmusic.bandcamp.com/track/inflection
Cover Artists:
- AVeryNicePizza
Cover Art Dimensions: 1403x1400
Art Tags:
- Jay (Redditstuck)
---
Track: Halcyon
Suffix Directory: true
Always Reference By Directory: true
Artists:
- JJ Pollution
Duration: 2:45
URLs:
- https://redditstuckmusic.bandcamp.com/track/halcyon
Cover Artists:
- Bin
Cover Art Dimensions: 1403x1400
Art Tags:
- Emily (Redditstuck)
- Earth
---
Track: Symmet
Artists:
- Emelia K.
Duration: 1:29
URLs:
- https://redditstuckmusic.bandcamp.com/track/symmet
- https://soundcloud.com/emelia-kaylee/symmet
Cover Artists:
- Nanners
- Brother Grapefruit
Art Tags:
- Altair (Redditstuck)
Review Points:
- Date Recorded: June 1, 2024
  Field: Art Tags
  Notes: |-
    Details from foreverFlummoxed regarding the lack of location tag:

    > Altair is a SBURB construct, so it is a player's land but it's not clear what land it is (may not even be revealed yet) which is why i left it blank
    >
    > i think there's a few other examples of locations without tags, and that mainly why for them
---
Track: Symmet [Midi]
Artists:
- Emelia K.
Duration: 1:30
URLs:
-
Cover Artists:
-
Commentary: |-
    <i>Quasar Nebula:</i> (wiki editor, 5/22/2024)
    This track is included as a bonus in the Bandcamp download, though in this placement on the track list - it's just hidden from the main view online.
---
Track: In The Sorcerer's Tower
Artists:
- Nice Wizard
Duration: 2:03
URLs:
- https://redditstuckmusic.bandcamp.com/track/in-the-sorcerers-tower
- https://soundcloud.com/nicewizard/in-the-sorcerers-tower
Cover Artists:
- Pierre Mortel
Cover Art Dimensions: 1401x1400
Art Tags:
- LoTaW (Redditstuck)
Commentary: |-
    <i>Nice Wizard:</i> ([SoundCloud description](https://soundcloud.com/nicewizard/in-the-sorcerers-tower))

    In his tower, hidden from the world, the magician works his Forbyddyn Majyyyks
---
Track: Siphon
Suffix Directory: true
Always Reference By Directory: true
Additional Names:
- Name: >-
    Land Of Storms And Caverns [final]
  Annotation: >-
    [SoundCloud](https://soundcloud.com/pi_rho_man/land-of-storms-and-caverns-final)
Artists:
- pi_rho_man
Duration: 2:18
URLs:
- https://redditstuckmusic.bandcamp.com/track/siphon
- https://soundcloud.com/pi_rho_man/land-of-storms-and-caverns-final
Cover Artists:
- Brother Grapefruit
Art Tags:
- LoLaA (Redditstuck)
Commentary: |-
    <i>pi_rho_man:</i> ([SoundCloud description](https://soundcloud.com/pi_rho_man/land-of-storms-and-caverns-final))

    Lots of storm and spooky scary caverns...
---
Track: Calmshit
Artists:
- Gordian
Duration: 0:47
URLs:
- https://redditstuckmusic.bandcamp.com/track/calmshit
- https://soundcloud.com/realbillwatterson/calmshit
Cover Artists:
- David Burt
Commentary: |-
    <i>Gordian:</i> ([SoundCloud artwork](https://soundcloud.com/realbillwatterson/calmshit), 12/5/2015)

    <img src="media/misc/calmshit-soundcloud.jpg" width="300">
---
Track: The Dreamer And The Dream
Artists:
- Kal-la-kal-la
Duration: 4:57
URLs:
- https://redditstuckmusic.bandcamp.com/track/the-dreamer-and-the-dream
- https://soundcloud.com/kal-la-kal-la/the-dreamer-and-the-dream
Cover Artists:
- AVeryNicePizza
Art Tags:
- Prospit
Commentary: |-
    @@ [Bandcamp description](https://redditstuckmusic.bandcamp.com/track/the-dreamer-and-the-dream)

    www.youtube.com/watch?v=lGo8RRWHOUQ&t=238s
---
Track: Lewd Lunacy
Artists:
- Gordian
Duration: 2:54
URLs:
- https://redditstuckmusic.bandcamp.com/track/lewd-lunacy
- https://soundcloud.com/realbillwatterson/lewd-lunacy
Cover Artists:
- David Burt
Cover Art Dimensions: 1406x1400
Art Tags:
- Eve (Redditstuck)
Referenced Tracks:
- track:wanderlust-redditstuck
Commentary: |-
    <i>Gordian:</i> ([SoundCloud description](https://soundcloud.com/realbillwatterson/lewd-lunacy))

    I feel like reverb is the HDR of the music production world<br>
    From this page in Redditstuck: [mspfanventures.com/?s=9041&p=185](https://mspfa.com/?s=9041&p=185)

    <i>Gordian:</i> ([SoundCloud additional tags](https://soundcloud.com/realbillwatterson/lewd-lunacy))

    <small>#chill #contains no secrets #whatsoever</small>

    <i>Gordian:</i> ([SoundCloud artwork](https://soundcloud.com/realbillwatterson/lewd-lunacy))

    <img src="media/misc/lewd-lunacy-soundcloud.jpg" width="300">
---
Track: Slippery Slope
Artists:
- Kal-la-kal-la
Duration: 4:00
URLs:
- https://redditstuckmusic.bandcamp.com/track/slippery-slope
Cover Artists:
- Brother Grapefruit
- David Burt
Art Tags:
- Sly (Redditstuck)
---
Track: Gnade
Suffix Directory: true
Always Reference By Directory: true
Artists:
- Gordian
Duration: 3:24
URLs:
- https://redditstuckmusic.bandcamp.com/track/gnade
- https://soundcloud.com/realbillwatterson/gnade
Cover Artists:
- Gordian
Art Tags:
- Skaia
Commentary: |-
    <i>Gordian:</i> ([SoundCloud description](https://soundcloud.com/realbillwatterson/gnade), 9/30/2016)

    Written as an Eve theme, but when it came time to make the title, I realized it would work as a third installment to the [[Ruhe]] series (no it's still not done. Wait and see)

    <i>Gordian:</i> ([SoundCloud additional tags](https://soundcloud.com/realbillwatterson/gnade), 9/30/2016)

    <small>#why should i tell you #what to think #isnt music supposed #to be subjective #?</small>

    <i>Gordian:</i> ([SoundCloud artwork](https://soundcloud.com/realbillwatterson/gnade), 9/30/2016)

    <img src="media/misc/gnade-soundcloud.jpg" width="300">

    <i>foreverFlummoxed:</i> ([Redditstuck Discord](https://discord.com/channels/238016456804007937/353401057004617739/1242011638719316020), 05/20/2024)

    for volume 2: are the arts for Gnade and [[Frieden]] supposed to be anything/some location? (besides Skaia in the bg of Gnade)

    <i>Gordian:</i> ([Redditstuck Discord](https://discord.com/channels/238016456804007937/353401057004617739/1242161707573575690), 05/20/2024)

    I don't remember whose idea it was to make this art purple (it may have been mine) but the version on my Soundcloud is the original and is unrelated to Redditstuck. So you can consider it as canon as you like fwiw

    <i>Gordian:</i> ([Redditstuck Discord](https://discord.com/channels/238016456804007937/353401057004617739/1247978114747990057), 6/5/2024)

    *(Excerpt, full commentary in [[Ruhe]])*

    The [[Frieden]] art is the Cologne Cathedral<br>
    The Gnade art is the Lichtdom ("Cathedral of Lights")<br>
    And the names respectively mean Peace, Grace, and Calm
---
Track: Calm Before Storm
Artists:
- Zylar
Duration: 2:59
URLs:
- https://redditstuckmusic.bandcamp.com/track/calm-before-storm
Cover Artists:
- David Burt
Art Tags:
- Evan (Redditstuck)
---
Track: Glass Houses
Artists:
- JJ Pollution
Duration: 3:33
URLs:
- https://redditstuckmusic.bandcamp.com/track/glass-houses
Cover Artists:
- Brother Grapefruit
Cover Art Dimensions: 1400x1402
Art Tags:
- Luke (Redditstuck)
---
Track: To Cross The Void
Artists:
- Nice Wizard
Duration: 3:48
URLs:
- https://redditstuckmusic.bandcamp.com/track/to-cross-the-void
- https://soundcloud.com/nicewizard/to-cross-the-void
Cover Artists:
- IllusionWorks
Cover Art Dimensions: 1400x1404
Art Tags:
- LoBaD (Redditstuck)
---
Track: Frieden
Artists:
- Gordian
Duration: 4:04
URLs:
- https://redditstuckmusic.bandcamp.com/track/frieden
- https://soundcloud.com/realbillwatterson/frieden
Cover Artists:
- Gordian
Referenced Tracks:
- Ruhe
Commentary: |-
    <i>Gordian:</i> ([SoundCloud description](https://soundcloud.com/realbillwatterson/frieden), 7/31/2016)

    A remix of [[Ruhe]], an... oh. That track hasn't been released yet.

    Such is life, I suppose.

    The question that you didn't ask, and didn't think about asking, but should have asked was, "Are you dead?" and the answer is no. Quite the contrary, both I and Redditstuck are livelier than ever.

    <i>Gordian:</i> ([SoundCloud artwork](https://soundcloud.com/realbillwatterson/frieden), 7/31/2016)

    <img src="media/misc/frieden-soundcloud.jpg" width="300">

    <i>foreverFlummoxed:</i> ([Redditstuck Discord](https://discord.com/channels/238016456804007937/353401057004617739/1242011638719316020), 05/20/2024)

    for volume 2: are the arts for [[track:gnade-redditstuck|Gnade]] and Frieden supposed to be anything/some location? (besides Skaia in the bg of Gnade)

    <i>Gordian:</i> ([Redditstuck Discord](https://discord.com/channels/238016456804007937/353401057004617739/1242161950977429596), 5/20/2024)

    Frieden: I made this art myself and it is unrelated to Redditstuck. But again you can interpret it how you like

    <i>Gordian:</i> ([Redditstuck Discord](https://discord.com/channels/238016456804007937/353401057004617739/1247978114747990057), 6/5/2024)

    *(Excerpt, full commentary in [[Ruhe]])*

    The Frieden art is the Cologne Cathedral<br>
    The [[track:gnade-redditstuck|Gnade]] art is the Lichtdom ("Cathedral of Lights")<br>
    And the names respectively mean Peace, Grace, and Calm
---
Track: Where Are We Now
Artists:
- Gordian
Duration: 1:45
URLs:
- https://redditstuckmusic.bandcamp.com/track/where-are-we-now
- https://soundcloud.com/realbillwatterson/where-are-we-now
Cover Artists:
- David Burt
- Gordian
Art Tags:
- Gate
Referenced Tracks:
- Look Where We Are
Commentary: |-
    <i>Gordian:</i> ([SoundCloud description](https://soundcloud.com/realbillwatterson/where-are-we-now), 5/8/2016)

    Just under a month after the end of one session, another begins.

    This is what the refrance: [[track:look-where-we-are|Nicewizard – Look-where-we-are]]

    From this page in Redditstuck: [mspfanventures.com/?s=9041&p=128](https://mspfa.com/?s=9041&p=128)

    <i>Gordian:</i> ([SoundCloud additional tags](https://soundcloud.com/realbillwatterson/where-are-we-now), 5/8/2016)

    <small>#redditstuck #homestuck #sburb #old people #aka redditan jungle #haha get it</small>

    <i>Gordian:</i> ([SoundCloud artwork](https://soundcloud.com/realbillwatterson/where-are-we-now), 5/8/2016)

    <img src="media/misc/where-are-we-now-soundcloud.jpg" width="300">
---
Track: (I Can't Get No) Smooth Pencils
Artists:
- Unknown Artist
Duration: 0:12
URLs:
- https://redditstuckmusic.bandcamp.com/track/i-cant-get-no-smooth-pencils
Cover Artists:
- Unknown Artist
Cover Art Dimensions: 1401x1400
Commentary: |-
    <i>Redditstuck, Unknown Artist|[[artist:unknown-artist|????????]]:</i>

    Teeth. They crawl over my body, gums bleeding dark ichor as they brush my skin. A thousand thousand swollen ticks find purchase in flesh as pus pulses through every orifice. Laughing. I see shadows now and then that make my heart skip, that make me wonder “Is someone finally here to take me away?” But I’m wrong every time. Inventing ghosts to keep my mind sane. Whispering to myself.

    "(I Can't Get No) Smooth Pencils"
---
Track: Pizza Bagels
Artists:
- JJ Pollution
Duration: 2:08
URLs:
- https://redditstuckmusic.bandcamp.com/track/pizza-bagels
Cover Artists:
- Adventureflame
---
Track: The Fake-Out
Artists:
- Kal-la-kal-la
Duration: 4:25
URLs:
- https://redditstuckmusic.bandcamp.com/track/the-fake-out
Cover Artists:
- David Burt
---
Track: Maelstrom
Suffix Directory: true
Always Reference By Directory: true
Artists:
- JJ Pollution
Duration: 2:41
URLs:
- https://redditstuckmusic.bandcamp.com/track/maelstrom
Cover Artists:
- Nanners
Cover Art Dimensions: 1406x1400
